<?php
global $weblinks;
$url = $weblinks->getOneTimeDownloadLink($data['filePath']);
if (!$url) {
	echo "Failed to setup weblink";
	exit();
}
?>
<html>
<head>
	<title></title>
	<style>
		body {
			border: 0px;
			margin: 0px;
			padding: 0px;
			overflow:hidden;
		}
	</style>
</head>

<body>

<iframe scrolling="no" width="100%" height="100%" border="0" src="//sharecad.org/cadframe/load?url=<?php echo urlencode($url)?>">
</iframe>
<script>
	with (window.parent) {
		FR.UI.feedback(FR.T('Please wait as loading the file might take a while...'));
	}
</script>
</body>
</html>